<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla para mostrar detalles de los anexos asociados al avaluo
                
@ManagedBean    CargaDetallesAvaluoDesdeArchivoMB
@cu 			CU-SA-AC-124 
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             columns="1" width="100%">

    <p:dataTable value="#{cargaDetallesAvaluoDesdeArchivo.anexos}" var="anexo"
                 id="aceptadaAnexoDT" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                 emptyMessage="No se encontraron anexos cargados">

        <f:facet name="header">
            <h:outputText value="Información de anexos aceptada para cargar" />
        </f:facet>

        <p:column headerText="Departamento">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.codigoDepartamento}" />
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.codigoMunicipio}" />
        </p:column>

        <p:column headerText="Número predial">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.numeroPredial}" />
        </p:column>

        <p:column headerText="Tipo">
            <h:outputText id="AvaluoPredioAnexoTipoV" styleClass="outputTextStyle"
                          value="#{anexo.tipo}" >
                <f:converter converterId="converterCB" for="AvaluoPredioAnexoTipoV"/>
            </h:outputText>
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.descripcion}" />
        </p:column>

        <p:column headerText="Fuente">
            <h:outputText id="AvaluoPredioAnexoFuenteV" styleClass="outputTextStyle"
                          value="#{anexo.fuente}">
                <f:converter converterId="converterCB" for="AvaluoPredioAnexoFuenteV"/>
            </h:outputText>
        </p:column>

        <p:column headerText="Unidad medida">
            <h:outputText id="UnidadMedidaV" styleClass="outputTextStyle"
                          value="#{anexo.unidadMedida}">
                <f:converter converterId="converterCB" for="UnidadMedidaV"/>
            </h:outputText>
        </p:column>

        <p:column headerText="Medida">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.medida}" />
        </p:column>

        <p:column headerText="Valor unitario">
            <h:outputText styleClass="outputTextStyle"
                          value="#{anexo.valorUnidad}">
                <f:converter converterId="converterMoneda" for="valorAvaluoPredio" />
            </h:outputText>
        </p:column>

    </p:dataTable>
</h:panelGrid>
